com.tableau.hyperapi

## Class Inserter.ColumnMapping

- java.lang.Object
- - com.tableau.hyperapi.Inserter.ColumnMapping

- Enclosing class:
    Inserter

      public static final class Inserter.ColumnMapping
      extends java.lang.Object

  Maps an expression to a column

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnMapping(Name columnName)` Creates a column mapping.
    `ColumnMapping(Name columnName, java.lang.String expression)` Creates a column mapping.
    `ColumnMapping(java.lang.String columnName)` Creates a column mapping.
    `ColumnMapping(java.lang.String columnName, java.lang.String expression)` Creates a column mapping.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name` | `getColumnName()` Returns the name of the column.
    `java.util.Optional<java.lang.String>` | `getExpression()` Returns the optional expression mapped to the column.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnMapping

          public ColumnMapping(Name columnName,
                               java.lang.String expression)

      Creates a column mapping.
      Parameters:
        `columnName` - Column name.
        `expression` - SQL expression.

    - #### ColumnMapping

          public ColumnMapping(Name columnName)

      Creates a column mapping.
      Parameters:
        `columnName` - Column name.

    - #### ColumnMapping

          public ColumnMapping(java.lang.String columnName,
                               java.lang.String expression)

      Creates a column mapping.
      Parameters:
        `columnName` - Column name.
        `expression` - SQL expression.

    - #### ColumnMapping

          public ColumnMapping(java.lang.String columnName)

      Creates a column mapping.
      Parameters:
        `columnName` - Column name.

  - ### Method Detail

    - #### getColumnName

          public Name getColumnName()

      Returns the name of the column.
      Returns:
        The column name.

    - #### getExpression

          public java.util.Optional<java.lang.String> getExpression()

      Returns the optional expression mapped to the column.
      Returns:
        The optional expression.